Skip to main content
PATCH
/
v1
/
agents
/
{id}
Configure an AI agent
curl --request PATCH \
  --url https://api.revdesk.com/v1/agents/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enabled": true,
  "greeting": "<string>",
  "system_prompt": "<string>",
  "voice_id": "<string>",
  "language": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "enabled": true,
    "greeting": "<string>",
    "language": "<string>",
    "voice_id": "<string>",
    "business_name": "<string>",
    "business_description": "<string>",
    "system_prompt": "<string>",
    "phone_number": {
      "id": 123,
      "phone_number": "<string>",
      "provider": "<string>",
      "is_active": true
    },
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.

Path Parameters

id
string
required

Body

application/json
name
string
Required string length: 1 - 120
enabled
boolean
greeting
string | null
Maximum string length: 1000
system_prompt
string | null
Maximum string length: 20000
voice_id
string
Minimum string length: 1
language
string
Required string length: 2 - 10

Response

Success

data
object
required